<?php
		function conectDB(){
			$db = mysqli_connect("localhost", "root", "", "unidos_sistema") or die("Erro ao selecionar banco");
			mysqli_set_charset($db,"utf8");
			return $db;
		}
		
		$db = conectDB();
		
		$SQL    = "SELECT * FROM `uni_pedidos` WHERE `status` = 'SEPARAÇÃO' AND pass = 0";
		$resultUP = mysqli_query($db,$SQL);
		
		$pedidosUP  = [];

		while ($row = mysqli_fetch_object($resultUP)) {
			
			$prod = array(
			   'id' => $row->id,
			   'loja' => $row->loja,
			   'data' => $row->data,
			   'status' => $row->status,
			   'usuario' => $row->usuario,
			   'pedido' => $row->pedido,
		   );
			
			array_push($pedidosUP,$prod);
		}
				
		$SQL2    = "SELECT A.id, A.pedido_cod, A.prod_codigo, A.prod_ref, A.prod_desc, A.dias_consulta, A.ven_period, A.media_dia, A.est_matriz, A.est_filial, A.sugestao, A.separado, A.status, A.preco, A.deposito FROM uni_analise A INNER JOIN uni_pedidos B ON A.pedido_cod=B.id WHERE B.status = 'SEPARAÇÃO' AND B.pass = 0 AND 1=1 ";
		$result2 = mysqli_query($db,$SQL2);
		
		$analiseUP  = [];

		while ($row = mysqli_fetch_object($result2)) {
			
			$prod = array(
			   'id' => $row->id,
			   'pedido_cod' => $row->pedido_cod,
			   'prod_codigo' => $row->prod_codigo,
			   'prod_ref' => $row->prod_ref,
			   'prod_desc' => $row->prod_desc,
			   'dias_consulta' => $row->dias_consulta,
			   'ven_period' => $row->ven_period,
			   'media_dia' => $row->media_dia,
			   'est_matriz' => $row->est_matriz,
			   'est_filial' => $row->est_filial,
			   'sugestao' => $row->sugestao,
			   'separado' => $row->separado,
			   'status' => $row->status,
			   'preco' => $row->preco,
			   'deposito' => $row->deposito,
		   );
			array_push($analiseUP,$prod);
		}
		if($pedidosUP != false){
			
			$getAllPedidosSP = json_encode($pedidosUP);
			$getAllAnaliseSP = json_encode($analiseUP);
				
			$ci = curl_init();

			curl_setopt( $ci, CURLOPT_URL, "http://conect.agenciadp.com.br/response_api_integra20.php" ); 
			curl_setopt( $ci, CURLOPT_POST, true);
			curl_setopt( $ci, CURLOPT_POSTFIELDS, array(
				'cod' => 'ENVIO',
				'pedidos' => $getAllPedidosSP,
				'analise' => $getAllAnaliseSP
			));
			curl_setopt( $ci, CURLOPT_HEADER, false );
			curl_setopt( $ci, CURLOPT_RETURNTRANSFER, 1 );

			$resultUP   = curl_exec( $ci );
			$_retorno = json_decode( $resultUP, true );
						
			$SQL_up = "UPDATE uni_pedidos SET pass = 1 WHERE `status` = 'SEPARAÇÃO' AND pass = 0";
			$resultUP = mysqli_query($db,$SQL_up);
			
			//echo  $_retorno;
			
		}
